Package org.apache.qpid.proton.amqp.messaging

# Enum TerminusExpiryPolicy

java.lang.Object
java.lang.Enum<TerminusExpiryPolicy>
org.apache.qpid.proton.amqp.messaging.TerminusExpiryPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<TerminusExpiryPolicy>`

public enum TerminusExpiryPolicy extends Enum<TerminusExpiryPolicy>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONNECTION_CLOSE`
`LINK_DETACH`
`NEVER`
`SESSION_END`

## Method Summary

Modifier and Type
Method
Description
`Symbol`
`getPolicy()`
`static TerminusExpiryPolicy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TerminusExpiryPolicy`
`valueOf(Symbol policy)`
Returns the enum constant of this type with the specified name.
`static TerminusExpiryPolicy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINK_DETACH

public static final TerminusExpiryPolicy LINK_DETACH

### SESSION_END

public static final TerminusExpiryPolicy SESSION_END

### CONNECTION_CLOSE

public static final TerminusExpiryPolicy CONNECTION_CLOSE

### NEVER

public static final TerminusExpiryPolicy NEVER

## Method Details

### values

public static TerminusExpiryPolicy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TerminusExpiryPolicy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPolicy

public Symbol getPolicy()

### valueOf

public static TerminusExpiryPolicy valueOf(Symbol policy)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `policy` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null